<template>
  <div>
    <el-dialog
      :title="title"
      :visible.sync="dialogVisible"
      width="1000px"
      :before-close="handleClose"
      :open="open"
      v-if="dialogVisible"
      :close-on-click-modal="false"
      :close-on-press-escape="false"
      append-to-body
    >
      <ht-table
        @load="loadData"
        :data="data"
        :pageResult="pageResult"
        :selection="true"
        quick-search-props="checkDate,rummager,noteTaker"
        :show-export="false"
        :show-custom-column="false"
        ref="htTable"
        @row-dblclick="handleEdit"
      >
        <template v-slot:search>
          <ht-table-search-panel :divide="2">
            <ht-table-search-field label="桥梁名称" prop="brigeName" />
            <ht-table-search-field label="上次大中修日期" prop="lastRepairDate" />
            <ht-table-search-field label="上次检查日期" prop="lastCheckDate" />
            <ht-table-search-field label="本次检查日期" prop="checkDate" />
          </ht-table-search-panel>
        </template>

        <ht-table-column
          prop="brigeName"
          label="桥梁名称"
          :sortable="true"
        >
        </ht-table-column>
        <ht-table-column prop="lastRepairDate" label="上次大中修日期" width="130">
        </ht-table-column>
        <ht-table-column prop="lastCheckDate" label="上次检查日期"> </ht-table-column>
        <ht-table-column prop="checkDate" label="本次检查日期"> </ht-table-column>
        <ht-table-column prop="weather" label="天气">
        </ht-table-column>
        <ht-table-column prop="overallRating" label="总体状况评价等级" width="140">
        </ht-table-column>
        <ht-table-column prop="noteTaker" label="记录人">
        </ht-table-column>
        <ht-table-column prop="personInCharge" label="负责人">
        </ht-table-column>
        <ht-table-column prop="nextCheckDate" label="下次检查日期">
        </ht-table-column>
      </ht-table>
    </el-dialog>
  </div>
</template>

<script>
export default {
  data() {
    return {
      title: '桥梁定期检查列表',
      pageResult: {
        page: 1,
        pageSize: 20,
        total: 0,
      },
      dialogVisible: false,
      data: [],
      brigeId: '',
    }
  },
  methods: {
    handleClose(done) {
      done()
    },
    open(data) {
      this.dialogVisible = true
      //   this.$http.post('${form}')
      this.brigeId = data.id
    },
    loadData(param, cb) {
      param.querys = [
        {
          group: 'main',
          operation: 'EQUAL',
          parentGroup: '',
          property: 'brigeId',
          relation: 'AND',
          value: this.brigeId,
        },
      ]
      this.$http
        .post('${form}/bridgeRegularCheck/v1/getJson', param)
        .then(
          (resp) => {
            let response = resp.data
            this.data = response.rows
            this.pageResult = {
              page: response.page,
              pageSize: response.pageSize,
              total: response.total,
            }
            
          },
          (error) => {
            reject(error)
          }
        )
        .finally(() => {
          if (cb) {
            cb()
          }
        })
    },
    handleEdit(data) {
      // this.title = '桥梁经常检查列表'
      // this.dialogVisible = true
      //   this.$refs.fredialog.open(data)
    },
  },
}
</script>

<style lang="scss" scoped>
/deep/.el-dialog::-webkit-scrollbar {
  display: none;
}
</style>